package week13;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Scanner;

public class WriteTest {
    // Write a message to file
    public static void main(String[] args) {
        String filename = "WriteTest.txt";
        PrintWriter out = null; // initialize out to null
        try {
            out = new PrintWriter(filename);
        } catch (FileNotFoundException ex) {
            System.out.println("Could not open file");
            System.exit(1); // quit immediately
        }
        out.println("Boring message");
        out.close();

        // Now read in the file we just wrote
        FileInputStream in = null;
        try {
            in = new FileInputStream(filename);
        } catch (FileNotFoundException ex) {
            System.out.println("Could not open file");
            System.exit(1); // quit immediately
        }
        Scanner scan = new Scanner(in);
        while (scan.hasNext()) {
            String line = scan.nextLine();
            System.out.println("read: " + line);
        }
        scan.close();
    }

}
